| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Properties | List of all members
iolink.iolink.VectorXi32 Class Reference
Inheritance diagram for iolink.iolink.VectorXi32:

## Public Member Functions
| __init__ (self, *args)
| size (self)
| at (self, index)
| set_at (self, index, value)
| __eq__ (self, other)
| __ne__ (self, other)
| squared_length (self)
| length (self)
| normalize (self)
| to_string (self)
| __neg__ (self)
| __iadd__ (self, v)
| __isub__ (self, v)
| __add__ (self, v)
| __sub__ (self, v)
| dot (self, v)
| cross (self, v)
| __imul__ (self, *args)
| __itruediv__ (self, *args)
| __mul__ (self, *args)
| __truediv__ (self, *args)
| __lt__ (self, other)
| __le__ (self, other)
| __gt__ (self, other)
| __ge__ (self, other)
| __init__ (self, *args)
| __iter__ (self)
| __len__ (self)
| __repr__ (self)
| __getitem__ (self, index)
| __setitem__ (self, index, value)

## Static Public Member Functions
| create_uniform (size, value)

## Static Public Attributes
| size = len(args[0])

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    A dynamically sized arithmetic vector.

## Member Function Documentation

## ◆ at()

iolink.iolink.VectorXi32.at | ( |  | self,
|  |  | index
| ) |  |

    Access vector's value at given index.

## ◆ create_uniform()

iolink.iolink.VectorXi32.create_uniform | ( |  | size,
|  |  | value
| ) |  |
| static

        Creates a vector filled with one value.

        :type size: int
        :param size: The size of the vector.
        :type value: int
        :param value: The value used to fill the vector.

## ◆ cross()

iolink.iolink.VectorXi32.cross | ( |  | self,
|  |  | v
| ) |  |

        Cross product of two vectors.

        Work only for vectors of size 3.

## ◆ dot()

iolink.iolink.VectorXi32.dot | ( |  | self,
|  |  | v
| ) |  |

    Dot product

## ◆ length()

iolink.iolink.VectorXi32.length | ( |  | self | ) |

        Returns the vector's norm.

        Specifically, it is the L1 norm that's computed here.

## ◆ normalize()

iolink.iolink.VectorXi32.normalize | ( |  | self | ) |

    Normalize the vector

## ◆ set_at()

iolink.iolink.VectorXi32.set_at | ( |  | self,
|  |  | index,
|  |  | value
| ) |  |

    Set value as given index.

## ◆ size()

iolink.iolink.VectorXi32.size | ( |  | self | ) |

    Returns the size of the vector, which also correspond to vector number of dimension.

## ◆ squared_length()

iolink.iolink.VectorXi32.squared_length | ( |  | self | ) |

        Returns the vector's norm, squared.

        Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py